var KEY_GUARDAR="KEY_GUARDAR";

var KEY_GUARDAR_REPETIR="KEY_GUARDAR_REPETIR";

var KEY_CANCELAR="KEY_CANCELAR";

var MODULO = "Cuestionarios";

var esCarga=true;





function onLoadPage() {	

	

	 //Cargamos la provincia

	 cargarTerritoriosLauncher();

	 document.all["usuario(codigoProvincia)"].options[0] = new Option(opcionTodos,"");

	 if(document.all["usuario(codProvincia)"].value=="")

		 document.all["usuario(codigoProvincia)"].selectedIndex=0;

	 else

		 document.all["usuario(codigoProvincia)"].value =  document.all["usuario(codProvincia)"].value;

	 territorioChange();



	//Cargamos el municipio

	 document.all["usuario(codigoMunicipio)"].options[0] = new Option(opcionTodos,"");

	 if(document.all["usuario(codMunicipio)"].value=="")

		 document.all["usuario(codigoMunicipio)"].selectedIndex=0;

	 else

		 document.all["usuario(codigoMunicipio)"].value = document.all["usuario(codMunicipio)"].value;

	 

	 document.all["usuario(nombre)"].focus();

	 esCarga=false;

}





function ponAccion(key){

	

	document.forms["formDetalleUsuario"].accion.value=key;

	document.forms["formDetalleUsuario"].submit();

	

	/*if(key==KEY_GUARDAR){

	}

	else if (key==KEY_GUARDAR_REPETIR){

	}

	else if (key==KEY_CANCELAR){

	}

	else{

		

	}*/

}



function submmitFormulario(key){

	document.forms["formDetalleUsuario"].submit();

}





function territorioChange(){	

	//Cargamos el hidden con el valor de la provincia seleccioanda

	 document.all["usuario(codProvincia)"].value = document.all["usuario(codigoProvincia)"].value;

	

	resetearMunicipio();

	

	if(document.forms["formDetalleUsuario"].elements["usuario(codigoProvincia)"].value!="")

		cargarMunicipiosLauncher();		

	else //Ha seleccionado TODOS

		limpiarComboMunicipios();

	

	//Añadimos la opción TODOS como la primera opción de las combos	

	document.all["usuario(codigoMunicipio)"].options[0] = new Option(opcionTodos,"");

	document.all["usuario(codigoMunicipio)"].selectedIndex=0;

}





function municipioChange(){

	document.all["usuario(codMunicipio)"].value = document.all["usuario(codigoMunicipio)"].value;

}





function resetearMunicipio(){

	document.forms["formDetalleUsuario"].elements["usuario(codigoMunicipio)"].value="";

	if(!esCarga)

		document.forms["formDetalleUsuario"].elements["usuario(codMunicipio)"].value="";

}



function limpiarComboMunicipios(){

	document.all["usuario(codigoMunicipio)"].options.length=0;

}



function anyadirOpcionTodosTerritorios(){

	addOption(document.forms["formDetalleUsuario"].elements["usuario(codigoProvincia)"],opcionTodos,0);

}





function cargarTerritoriosLauncher(){

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PROVINCIA","id","ds_o", "usuario(codigoProvincia)", whereTerritorio, "false", true, "ds_o", "ASC");

}



function cargarMunicipiosLauncher(){

	where = "PROVINCIA_ID = " + document.forms["formDetalleUsuario"].elements["usuario(codigoProvincia)"].value;

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "usuario(codigoMunicipio)", where, "false", true, "ds_o", "ASC");

}



